<h1><b>Su nombre es:</b></h1>
<div *ngIf="mostrar">
  <h3>
    {{ persona.nombre }}
  </h3>
  <p>
    {{ persona.dir }}
  </p>
</div>

<button type="button" (click)="mostrar = !mostrar">Mostrar/Ocultar</button>